Bug 240681 - Running firefox in 32 bit mode on x86_64 uses 64 bit library path
Running firefox in 32 bit mode on x86_64 uses 64 bit library path
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-19 23:01 EDT by Karl Latiss
Modified: 2008-05-21 10:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2008-0479
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:24:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
select correct MOZ_LIB_DIR depending on arch (396 bytes, patch)
2007-05-19 23:01 EDT, Karl Latiss
no flags Details | Diff

  None (edit)
Description Karl Latiss 2007-05-19 23:01:37 EDT
Description of problem:
Running firefox in 32 bit mode on x86_64 uses 64 bit library path

Version-Release number of selected component (if applicable):
firefox-1.5.0.10-2

How reproducible:
Always

Steps to Reproduce:
1.setarch i386 firefox
  
Actual results:
firefox start up script tests for the presence of
/usr/lib64/firefox-1.5.0.10/firefox-bin and if there sets MOZ_LIB_DIR to
/usr/lib64 regardless of the architecture set by setarch

Expected results:
firefox startup script checks for the presence of
/usr/lib64/firefox-1.5.0.10/firefox-bin AND checks the reported architecture
before setting MOZ_LIB_DIR

Additional info:
This is also referenced in bug #208819 submitted against fedora.

I have attached a patch which additionally tests for the reported architecture
before setting MOZ_LIB_DIR
Comment 1 Karl Latiss 2007-05-19 23:01:37 EDT
Created attachment 155057 [details]
select correct MOZ_LIB_DIR depending on arch
Comment 3 Martin Stransky 2008-02-28 07:43:28 EST
Taking the bug.
Comment 4 Martin Stransky 2008-02-29 08:44:07 EST
Will be fixed in the new update (ff 3.0).
Comment 5 RHEL Product and Program Management 2008-02-29 08:47:23 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Zack Cerza 2008-04-15 18:22:50 EDT
Verified on firefox-3.0-0.beta5.3.el5
Comment 10 errata-xmlrpc 2008-05-21 10:24:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0479.html

Note You need to log in before you can comment on or make changes to this bug.